Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Related Pages
- Examples

- Class List
- Class Hierarchy
- Class Members

# openvrml::texture_coordinate_node Class Reference

`#include <openvrml/node.h>`

Inheritance diagram for openvrml::texture_coordinate_node:

[legend]

List of all members.

## Detailed Description

Abstract base class for texture coordinate nodes.

## Public Member Functions

virtual | ~texture_coordinate_node ()=0 throw ()
| Destroy.
virtual const std::vector < vec2f > & | point () const =0 throw ()
| The texture coordinates.

## Protected Member Functions

| texture_coordinate_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope) throw ()
| Construct.

## Private Member Functions

virtual texture_coordinate_node * | to_texture_coordinate () throw ()
| Cast to a `texture_coordinate_node`.

## Constructor & Destructor Documentation

openvrml::texture_coordinate_node::~texture_coordinate_node | ( |  | ) | throw ()`[pure virtual]`

Destroy.

openvrml::texture_coordinate_node::texture_coordinate_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope |
| ) |  |  | throw ()`[protected]`

Construct.

Parameters:

  `[in]` | type | the `node_type` associated with the `node`.
  `[in]` | scope | the `scope` the `node` belongs to.

## Member Function Documentation

const std::vector< openvrml::vec2f > & openvrml::texture_coordinate_node::point | ( |  | ) | const throw ()`[pure virtual]`

The texture coordinates.

Returns:
  the texture coordinates.

openvrml::texture_coordinate_node * openvrml::texture_coordinate_node::to_texture_coordinate | ( |  | ) | throw ()`[private, virtual]`

Cast to a `texture_coordinate_node`.

Returns:
  a pointer to this `texture_coordinate_node`.

Reimplemented from openvrml::node.